Backport #9490

affect RUBY_GC_OLDMALLOC_LIMIT setting

Added by Koichi Sasada 2 months ago. Updated 2 months ago.

[ruby-dev:47961]
Status:Closed
Priority:Normal
Assignee:-

Description

Please backport r44853.
This change allow to affect RUBYGCOLDMALLOC_LIMIT setting.

Associated revisions

Revision 44856
Added by Yui NARUSE 2 months ago

merge revision(s) 44853: [Backport #9490]

* gc.c (ruby_gc_set_params): if RUBY_GC_OLDMALLOC_LIMIT is provided,
  then set objspace->rgengc.oldmalloc_increase_limit.
  Without this fix, the env variable RUBY_GC_OLDMALLOC_LIMIT
  does not work.

* gc.c (get_envparam_int): accept a value equals to lowerbounds.

* gc.c (get_envparam_double): ditto.

Revision 44903
Added by Yui NARUSE 2 months ago

merge revision(s) 44572,44578,44591,44592: [Backport #9490]

ext: use rb_sprintf() and rb_vsprintf() with PRIsVALUE

History

#1 Updated by Yui NARUSE 2 months ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

Applied in changeset r44856.


merge revision(s) 44853: [Backport #9490]

* gc.c (ruby_gc_set_params): if RUBY_GC_OLDMALLOC_LIMIT is provided,
  then set objspace->rgengc.oldmalloc_increase_limit.
  Without this fix, the env variable RUBY_GC_OLDMALLOC_LIMIT
  does not work.

* gc.c (get_envparam_int): accept a value equals to lowerbounds.

* gc.c (get_envparam_double): ditto.

Also available in: Atom PDF